> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bango.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check connection

> The echo endpoint allows you to check your connection to the Bango resale API. Use it to check the following:
- You're using the correct base URL
- You're using the correct credentials
- The Bango resale API is currently available




## OpenAPI

````yaml /openapi/current/dvm/reseller-to-dvm/entitlement/openapi.yaml post /v1/echo/{echoString}
openapi: 3.1.0
info:
  title: Entitlements
  version: 1.4.2
  description: >

    # Change log

    **2026-06-02** | v.1.4.2

    - Updated authentication: replaced single Basic Auth scheme with X-API-Key,
      Basic Auth, and OAuth2 (client credentials) security schemes, aligned with
      Reseller Notifications API

    **2025-06-12** | v.1.4.1

    - Overview & change log added


    **2024-09-04** | v.1.4.0

    - Top ups released


    **2023-08-14** | v.1.3.0

    - Added reseller-initiated /activationInfo endpoint

    - Added metadata to error responses to identify whether the error originated
    from Bango or the merchant. This is to help resellers resolve integration
    issues more easily.


    **2022-09-22** | v.1.2.0

    - Added Bango-generated sharedCustomerId to reseller notifications, merchant
    requests and all responses


    **2021-08-05** | v.1.1.0

    - Added extensionData for resellers

    - Added merchantExtensionData for merchants

    - Added financeData to relevant merchant-initiated API requests, reseller
    notifications and all responses

    - Added merchantBangoExtensionData for merchant requests and responses

    - Added externalEntitlementId for resellers


    **2020-11-03** | v.1.0.0

    - Initial release
servers:
  - url: https://resale.api.sandbox.bango.com
    description: Integration test environment
  - url: https://resale.api.bango.com
    description: Production environment
security:
  - XApiKey: []
  - BasicAuth: []
  - OAuth2: []
tags:
  - name: Echo
    description: Check your connection to the Bango resale API
  - name: Entitlement
    description: Manage the lifecycle of your entitlements
  - name: Top Ups
    description: >-
      Top up short-lived entitlements for automated duration extension and
      suspend/terminate flows
paths:
  /v1/echo/{echoString}:
    post:
      tags:
        - Echo
      summary: Check connection
      description: >
        The echo endpoint allows you to check your connection to the Bango
        resale API. Use it to check the following:

        - You're using the correct base URL

        - You're using the correct credentials

        - The Bango resale API is currently available
      parameters:
        - name: X-RequestIdentifier
          in: header
          description: Optional identifier to support idempotency
          schema:
            type: string
            format: uuid
        - name: echoString
          in: path
          description: >-
            An arbitrary string which is returned in the body of a successful
            response
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Echo request successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EchoResponse'
              examples:
                OK:
                  value:
                    responseCode: OK
                    responseMessage: Success
                    echo: echoString
        '401':
          description: Unauthorized (no response body returned)
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseObject'
              examples:
                Internal error:
                  value:
                    responseCode: INTERNAL_ERROR
                    responseMessage: null
                    metadata:
                      responseMessageFrom: BANGO
        '501':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseObject'
              examples:
                Service unavailable:
                  value:
                    responseCode: SERVICE_UNAVAILABLE
                    responseMessage: null
                    metadata:
                      responseMessageFrom: BANGO
components:
  schemas:
    EchoResponse:
      type: object
      properties:
        responseCode:
          type: string
          examples:
            - OK
        responseMessage:
          type: string
          examples:
            - Success
        echo:
          type: string
          examples:
            - '{echoString}'
    ErrorResponseObject:
      type: object
      properties:
        responseCode:
          type: string
        responseMessage:
          type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
    Metadata:
      type: object
      properties:
        responseMessageFrom:
          type: string
          description: The originator of the error (either Bango or the content provider)
          enum:
            - BANGO
            - MERCHANT
  securitySchemes:
    XApiKey:
      type: apiKey
      in: header
      name: x-api-key
    BasicAuth:
      type: http
      scheme: basic
    OAuth2:
      type: oauth2
      description: >
        Bango uses
        https://www.oauth.com/oauth2-servers/access-tokens/client-credentials/.

        Please note that when requesting a token, we only support the option to
        send the client secret in the request body
      flows:
        clientCredentials:
          tokenUrl: https://auth.bango.com/oath2/token
          scopes:
            any: >-
              grants Bango access to the merchant system based on merchant
              defined rules

````